package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.File_script;
import com.realnet.basicp1.Services.File_scriptService ;










@RequestMapping(value = "/File_script")
 @CrossOrigin("*") 
@RestController
public class File_scriptController {
	@Autowired
	private File_scriptService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/File_script")
		  public File_script Savedata(@RequestBody File_script data) {
		File_script save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/File_script/{id}")
	public  File_script update(@RequestBody File_script data,@PathVariable Integer id ) {
		File_script update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/File_script/getall/page")
	public Page<File_script> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<File_script> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/File_script")
	public List<File_script> getdetails() {
		 List<File_script> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/File_script")
	public List<File_script> getallwioutsec() {
		 List<File_script> get = Service.getdetails();		
		return get;
}
@GetMapping("/File_script/{id}")
	public  File_script  getdetailsbyId(@PathVariable Integer id ) {
		File_script  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/File_script/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}